<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- course.v01.xsl contient tous les templates d'affichage des informations d'un enseignement (balise course) de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<!-- FICHIERS INCLUDE UTILISEES -->
	<!-- <xsl:include href="person/personID.v01.xsl" />
	<xsl:include href="person/name.v01.xsl" />
	<xsl:include href="person/title.v01.xsl" /> 
	<xsl:include href="commun/sectionCNU.v01.xsl" />-->


	<!-- AJOUT ROT template description !-->
	<!--
	<xsl:template match="ns2:refCourse">
		<li><h3><xsl:if test="count(key('objet',@ref)/courseName/text)=0">Sans nom</xsl:if><xsl:value-of select="key('objet',@ref)/courseName/text[@language=$_lang or not(@language)]"/><xsl:value-of select="key('objet',@ref)/courseName/text[not(@language)]"/></h3>
			<p><xsl:value-of select="key('objet',@ref)/courseDescription/ns2:infoBlock"/></p>
		</li>
	</xsl:template>
	!-->
	<!-- AJOUT ROT template description -->
	
	<!-- Ajout LG template description -->
	<!-- Variable correspondant au noeud course -->
	<xsl:variable name="vNode" select="key('objet',$idP)" />
	
	<!-- Ajout LG : Description d'une fiche Matière (EC) -->
	<xsl:template name="tCourse">
		<a name='ficheEC'></a>
		<hr/>
		<h2><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libIdentifiant'"/></xsl:call-template>
		<xsl:call-template name="tCourseCourseID"/></h2>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libIntitule'"/></xsl:call-template>
		<xsl:call-template name="tCourseCourseName"/></h3>
		<h3><xsl:call-template name="tCourseCourseCode">
			<xsl:with-param name="pCodeSet" select="'codeSet'"/>
		</xsl:call-template></h3>
		<h3><xsl:value-of select="$variablesExt/variables/courseVar/header[@type='10']/value[@lang=$_lang]"/>
		<xsl:call-template name="tCourseCourseDescription"/></h3>
		<xsl:call-template name="tCourseLevelInfoBlockType"/>
		<h3><xsl:call-template name="tCourseLevelLanguageCECRLLevel"/></h3>
		<h3><xsl:call-template name="tCourseCreditsECTScredits"/> ECTS</h3>
		<h3><xsl:call-template name="tCourseCreditsInfoBlockType"/></h3>
		<h3><xsl:call-template name="tCourseCreditsGlobalVolume"/></h3>
		<h3><xsl:value-of select="$variablesExt/variables/courseVar/header[@type='7']/value[@lang=$_lang]"/>
		<xsl:call-template name="tCourseLearningObjectivesInfoBlockType"/></h3>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libCondAdmissions'"/></xsl:call-template>
		<xsl:call-template name="tCourseAdmissionInfoAdmissionDescription"/></h3>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libPrerequisRecommandes'"/></xsl:call-template>
		<xsl:call-template name="tCourseRecommendedPrerequisitesInfoBlockType"/></h3>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libPrerequisObligatoires'"/></xsl:call-template>
		<xsl:call-template name="tCourseFormalPrerequisitesInfoBlockType"/></h3>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libStructOrgPedagogique'"/></xsl:call-template>
		<xsl:call-template name="tCourseFormOfTeaching"/></h3>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libModControleConnaissance'"/></xsl:call-template>
		<xsl:call-template name="tCourseFormOfAssessmentInfoBlockType"/></h3>
		<h3><xsl:value-of select="$variablesExt/variables/courseVar/header[@type='12']/value[@lang=$_lang]"/>
		<xsl:call-template name="tCourseInstructionLanguage"/></h3>
		<h3><xsl:value-of select="$variablesExt/variables/courseVar/header[@type='13']/value[@lang=$_lang]"/>
		<xsl:call-template name="tCourseSyllabus"/></h3>
		<a href='#hautPage'>Retour en haut de la page</a>
	</xsl:template>

	
	
	<!-- Templates unitaires = liste exhaustive des balises du CDM-fr alinetés par ROF -->
		
	<xsl:template name="tCourseCourseID">
		<xsl:value-of select="$vNode/courseID"/>
	</xsl:template>
	
	<xsl:template name="tCourseCourseName">
		<xsl:value-of select="$vNode/courseName/text"/>
	</xsl:template>
	
	<xsl:template name="tCourseCourseCode">
		<xsl:param name="pCodeSet" select="'codeSet'"/>
		<xsl:value-of select="$vNode/courseCode[@codeSet=$pCodeSet]"/>
	</xsl:template>
	
	<xsl:template name="tCourseCourseDescription">
		<xsl:value-of select="$vNode/courseDescription/ns2:infoBlock"/>
	</xsl:template>
	
	<xsl:template name="tCourseLevelInfoBlockType">
		<xsl:call-template name="tLevelInfoBlockType">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseLevelLanguageCECRLLevel">
		<xsl:call-template name="tLevelLanguageCECRLLevel">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseCreditsECTScredits">
		<xsl:call-template name="tCreditsECTScredits">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseCreditsInfoBlockType">
		<xsl:call-template name="tCreditsInfoBlockType">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseCreditsGlobalVolume">
		<xsl:call-template name="tCreditsGlobalVolume">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseLearningObjectivesInfoBlockType">
		<xsl:call-template name="tLearningObjectivesInfoBlockType">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseAdmissionInfoAdmissionDescription">
		<xsl:call-template name="tAdmissionInfoAdmissionDescription">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseRecommendedPrerequisitesInfoBlockType">
		<xsl:call-template name="tRecommendedPrerequisitesInfoBlockType">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseFormalPrerequisitesInfoBlockType">
		<xsl:call-template name="tFormalPrerequisitesInfoBlockType">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseFormOfTeaching">
		<xsl:call-template name="tFormOfTeaching">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseFormOfAssessmentInfoBlockType">
		<xsl:call-template name="tFormOfAssessmentInfoBlockType">
			<xsl:with-param name="pNode" select="$vNode"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tCourseInstructionLanguage">
		<xsl:value-of select="$vNode/instructionLanguage/node()"/>
	</xsl:template>
	
	<xsl:template name="tCourseSyllabus">
		<xsl:value-of select="$vNode/syllabus/node()"/>
	</xsl:template>
	
	<!-- Fin Ajout LG template description -->
	

</xsl:stylesheet>